import { UseNowOptions } from './index.js';
import { Pausable } from '@solidjs-use/shared';
import { Component, Accessor, JSX } from 'solid-js';

interface UseNowProps extends Component<Omit<UseNowOptions<true>, 'controls'>> {
    children?: (data: {
        now: Accessor<Date>;
    } & Pausable) => JSX.Element;
}
declare const UseNow: Component<UseNowProps>;

export { UseNow };
