import * as solid_js from 'solid-js';
import { ConfigurableWindow } from '../_configurable.js';

/**
 * Reactive online state.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useOnline
 */
declare function useOnline(options?: ConfigurableWindow): solid_js.Accessor<boolean>;

export { useOnline };
