import { MaybeAccessor } from '@solidjs-use/shared';
import { Accessor } from 'solid-js';

/**
 * Get parent element of the given element.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useParentElement
 */
declare function useParentElement(element?: MaybeAccessor<HTMLElement | SVGElement | null | undefined>): Accessor<HTMLElement | SVGElement | null | undefined>;

export { useParentElement };
