import * as solid_js from 'solid-js';
import { ConfigurableWindow } from '../_configurable.js';

/**
 * Reactive dark theme preference.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/usePreferredDark
 */
declare function usePreferredDark(options?: ConfigurableWindow): solid_js.Accessor<boolean>;

export { usePreferredDark };
