import { ConfigurableDocument } from '../_configurable.js';

/**
 * Fires when users start typing on non-editable elements.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/onStartTyping
 */
declare function onStartTyping(callback: (event: KeyboardEvent) => void, options?: ConfigurableDocument): void;

export { onStartTyping };
