import { useBrowserLocation } from './index.js';
import { Component, JSX } from 'solid-js';
import { ConfigurableWindow } from '../_configurable.js';

interface UseBrowserLocationProps extends ConfigurableWindow {
    children?: (data: ReturnType<typeof useBrowserLocation>) => JSX.Element;
}
declare const UseBrowserLocation: Component<UseBrowserLocationProps>;

export { UseBrowserLocation };
