import * as solid_js from 'solid-js';
import { MaybeAccessor } from '@solidjs-use/shared';
import { ConfigurableWindow } from '../_configurable.js';

/**
 * Reactive Media Query.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useMediaQuery
 */
declare function useMediaQuery(query: MaybeAccessor<string>, options?: ConfigurableWindow): solid_js.Accessor<boolean>;

export { useMediaQuery };
