import * as solid_js from 'solid-js';
import { ConfigurableWindow } from '../_configurable.js';

/**
 * Reactive state to show whether mouse leaves the page.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/usePageLeave
 */
declare function usePageLeave(options?: ConfigurableWindow): solid_js.Accessor<boolean>;

export { usePageLeave };
