import { Accessor } from 'solid-js';
import { ConfigurableWindow } from '../_configurable.js';

/**
 * Reactive Navigator Languages.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/usePreferredLanguages
 */
declare function usePreferredLanguages(options?: ConfigurableWindow): Accessor<readonly string[]>;

export { usePreferredLanguages };
