import { MaybeAccessor } from '@solidjs-use/shared';
import { Accessor } from 'solid-js';

/**
 * Holds the previous value of a Accessor.
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/usePrevious
 */
declare function usePrevious<T>(value: MaybeAccessor<T>): Accessor<T | undefined>;
declare function usePrevious<T>(value: MaybeAccessor<T>, initialValue: T): Accessor<T>;

export { usePrevious };
