import { Accessor } from 'solid-js';

/**
 * SSR compatibility `isSupported`
 *
 * @see https://solidjs-use.github.io/solidjs-use/core/useSupported
 */
declare function useSupported(callback: () => unknown): Accessor<boolean>;

export { useSupported };
