import { UseTimeAgoOptions, UseTimeAgoReturn } from './index.js';
import { MaybeAccessor } from '@solidjs-use/shared';
import { Component, JSX } from 'solid-js';

interface UseTimeAgoComponentOptions extends Omit<UseTimeAgoOptions<true>, 'controls'> {
    time: MaybeAccessor<Date | number | string>;
    children?: (data: UseTimeAgoReturn<true>) => JSX.Element;
}
declare const UseTimeAgo: Component<UseTimeAgoComponentOptions>;

export { UseTimeAgo };
